# I3DViewModule Struct Reference
[Shell Interfaces]

Inheritance diagram for I3DViewModule:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Get3DEditorHostPart (I3DEditorHostPart **out3DEditorHostPart)=0
virtual void MCCOMAPI | Set3DViewTopPart (IMFPart *inTopPart)=0
virtual void MCCOMAPI | SetWorkingBoxFromPMap ()=0
virtual void MCCOMAPI | InvalidateAllPanes ()=0
virtual void MCCOMAPI | ActivateSubModule (I3DShModule *module)=0
virtual void MCCOMAPI | DeactivateSubModule ()=0
virtual void MCCOMAPI | AddInstancesRenderables (IEx3DEditorHostPanePart *panePart, TRenderableAndTfmArray &renderables3D, I3DShInstance *editedInstance)=0
virtual void MCCOMAPI | GetPreferedSplit (int32 &outPreferedSize, boolean &outForTopPart)=0
virtual void MCCOMAPI | StorePreferedSplit (int32 inPreferedSize)=0
virtual void MCCOMAPI | GetExtraTabs (TMCClassArray< TPropertyTab > &extraTabs)=0
virtual void MCCOMAPI | BeginImmediateUpdate ()=0
virtual void MCCOMAPI | PostImmediateUpdate ()=0
virtual void MCCOMAPI | EndImmediateUpdate ()=0
virtual void MCCOMAPI | SetImmediateUpdateModeWhenMouseOverPaneParts (boolean enable)=0
virtual boolean MCCOMAPI | IsImmediateUpdateMode ()=0
virtual void MCCOMAPI | AddDefaultMenuBar (IMCMenuBar *theBar)=0

## Detailed Description

This is the interface of the 3D view module.

## Member Function Documentation

virtual void MCCOMAPI I3DViewModule::ActivateSubModule | ( | I3DShModule * | module | ) | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::AddDefaultMenuBar | ( | IMCMenuBar * | theBar | ) | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::AddInstancesRenderables | ( | IEx3DEditorHostPanePart * | panePart,
|  | TRenderableAndTfmArray & | renderables3D,
|  | I3DShInstance * | editedInstance |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::BeginImmediateUpdate | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::DeactivateSubModule | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::EndImmediateUpdate | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::Get3DEditorHostPart | ( | I3DEditorHostPart ** | out3DEditorHostPart | ) | `[pure virtual]`

Call this to get the 3DEditorHostPart of the 3DView Module.

Parameters:

  | out3DEditorHostPart |

virtual void MCCOMAPI I3DViewModule::GetExtraTabs | ( | TMCClassArray< TPropertyTab > & | extraTabs | ) | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::GetPreferedSplit | ( | int32 & | outPreferedSize,
|  | boolean & | outForTopPart |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::InvalidateAllPanes | ( |  | ) | `[pure virtual]`

Invalidates all panes.

virtual boolean MCCOMAPI I3DViewModule::IsImmediateUpdateMode | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::PostImmediateUpdate | ( |  | ) | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::Set3DViewTopPart | ( | IMFPart * | inTopPart | ) | `[pure virtual]`

To call only if you do not want the module to create its own window must be called before Initialize

Parameters:

  | inTopPart |

virtual void MCCOMAPI I3DViewModule::SetImmediateUpdateModeWhenMouseOverPaneParts | ( | boolean | enable | ) | `[pure virtual]`

virtual void MCCOMAPI I3DViewModule::SetWorkingBoxFromPMap | ( |  | ) | `[pure virtual]`

Updates the working box in all panes from the current contents of the Parameter map

virtual void MCCOMAPI I3DViewModule::StorePreferedSplit | ( | int32 | inPreferedSize | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DViewModule.h